"""
Report generation module for the intelligent research system.

This module provides functionality to generate reports from search results
by scraping documents, storing them in a database, and synthesizing them
into a comprehensive report.
"""

from report.report_generator import get_report_generator, initialize_report_generator
from report.document_scraper import get_document_scraper
from report.database.db_manager import get_db_manager, initialize_database

__all__ = [
    'get_report_generator',
    'initialize_report_generator',
    'get_document_scraper',
    'get_db_manager',
    'initialize_database'
]
